from django.shortcuts import render
from .models import *

import time
#from supporto import managepassword
#from sicurezza.views import *
from comunicazioni.views import *
#from datetime import date
#from configurazione.views import *

# Create your views here.


def registra(utente,template=0,nota={}):

  '''
  data = int(time.time())
  logger = Logger()
  logger.utente = utente
  logger.data = data
  logger.nota = nota
  logger.save()
  '''

  sm = ServizioMail()
  mail_utente = [] #vediamo la lista utente
  mail_utente.append('{}@{}'.format(utente.mail.strip(),utente.domain.nome.strip()))
  mail_utente.append(getConfigurazione('mail_notification'))

  #recuperiamo il template
  template = Template.objects.get(pk=template)
  template_soggetto = template.soggetto
  sm.set_soggetto(template_soggetto)
  template_oggetto = template.oggetto
  sm.set_oggetto(template_oggetto)

  template_dati = {}
  template_dati['utente'] = utente
  template_dati['nota'] = nota

  sm.set_data(template_dati)
  sm.send_mail()

def log(utente=None,servizio=None,nota=None):
  if not utente:
    utente = 0

  if not servizio:
    servizio = 0

  if not nota:
    nota = ''

  data = int(time.time())
  logger = Logger()
  logger.utente = utente
  logger.data = data
  logger.nota = nota
  logger.save()
  
  
